package ${basePackage}.module.system.req;

import org.hibernate.validator.constraints.Length;
import ${basePackage}.frame.base.BaseUpdateRequest;
import ${basePackage}.frame.validation.Dict;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * UserUpdateRequest - 用户更新
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class UserUpdateRequest extends BaseUpdateRequest {

    /**
     * 主键
     */
    @NotNull(message = "[id]主键不能为NULL")
    private Long id;

    /**
     * 用户代码
     */
    @Length(min = 0, max = 50, message = "[userCode]用户代码长度不合法(0-50)")
    private String userCode;

    /**
     * 用户别名
     */
    @Length(min = 0, max = 50, message = "[userAlias]用户别名长度不合法(0-50)")
    private String userAlias;

    /**
     * 用户状态
     */
    @NotNull(message = "[userStatus]用户状态不能为NULL")
    @Dict(name = "USER_STATUS")
    private String userStatus;

    /**
     * 部门主键
     */
    private Long deptId;

    /**
     * 部门代码
     */
    @Length(min = 0, max = 50, message = "[deptCode]部门代码长度不合法(0-50)")
    private String deptCode;

    /**
     * 部门名称
     */
    @Length(min = 0, max = 100, message = "[deptName]部门名称长度不合法(0-100)")
    private String deptName;

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUserCode() {
        return this.userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getUserAlias() {
        return this.userAlias;
    }

    public void setUserAlias(String userAlias) {
        this.userAlias = userAlias;
    }

    public String getUserStatus() {
        return this.userStatus;
    }

    public void setUserStatus(String userStatus) {
        this.userStatus = userStatus;
    }

    public Long getDeptId() {
        return this.deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getDeptCode() {
        return this.deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getDeptName() {
        return this.deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
}
